Bug 993256 - [abrt] libreoffice-core-3.6.7.2-2.fc18: sd::toolpanel::controls::DocumentHelper::AssignMasterPageToPageList: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
[abrt] libreoffice-core-3.6.7.2-2.fc18: sd::toolpanel::controls::DocumentHelp...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:7b5937dd98661da20e0438f0ef8...
:
: 1015226 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-05 13:37 EDT by Peter Larsen
Modified: 2014-02-05 17:14 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:14:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (70.31 KB, text/plain)
2013-08-05 13:37 EDT, Peter Larsen
no flags Details
File: cgroup (130 bytes, text/plain)
2013-08-05 13:37 EDT, Peter Larsen
no flags Details
File: core_backtrace (5.19 KB, text/plain)
2013-08-05 13:38 EDT, Peter Larsen
no flags Details
File: dso_list (26.18 KB, text/plain)
2013-08-05 13:38 EDT, Peter Larsen
no flags Details
File: environ (2.42 KB, text/plain)
2013-08-05 13:38 EDT, Peter Larsen
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-05 13:38 EDT, Peter Larsen
no flags Details
File: maps (122.38 KB, text/plain)
2013-08-05 13:38 EDT, Peter Larsen
no flags Details
File: open_fds (577 bytes, text/plain)
2013-08-05 13:38 EDT, Peter Larsen
no flags Details
File: proc_pid_status (933 bytes, text/plain)
2013-08-05 13:38 EDT, Peter Larsen
no flags Details
File: var_log_messages (348 bytes, text/plain)
2013-08-05 13:38 EDT, Peter Larsen
no flags Details

  None (edit)
Description Peter Larsen 2013-08-05 13:37:50 EDT
Description of problem:
Trying to apply an existig master page template to slide.

Version-Release number of selected component:
libreoffice-core-3.6.7.2-2.fc18

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --impress /home/plarsen/Documents/Products/BPM/BPMNextWave.odp --splash-pipe=6
crash_function: sd::toolpanel::controls::DocumentHelper::AssignMasterPageToPageList
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.7.5-201.fc18.x86_64
runlevel:       N 5
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 sd::toolpanel::controls::DocumentHelper::AssignMasterPageToPageList at /usr/src/debug/libreoffice-3.6.7.2/sd/source/ui/toolpanel/controls/DocumentHelper.cxx:318
 #1 sd::toolpanel::controls::MasterPagesSelector::AssignMasterPageToSelectedSlides at /usr/src/debug/libreoffice-3.6.7.2/sd/source/ui/toolpanel/controls/MasterPagesSelector.cxx:395
 #2 sd::toolpanel::controls::MasterPagesSelector::Execute at /usr/src/debug/libreoffice-3.6.7.2/sd/source/ui/toolpanel/controls/MasterPagesSelector.cxx:535
 #3 CallExec at /usr/src/debug/libreoffice-3.6.7.2/sfx2/inc/sfx2/shell.hxx:199
 #4 SfxDispatcher::Call_Impl at /usr/src/debug/libreoffice-3.6.7.2/sfx2/source/control/dispatch.cxx:270
 #5 SfxDispatcher::Execute at /usr/src/debug/libreoffice-3.6.7.2/sfx2/source/control/dispatch.cxx:1097
 #6 sd::toolpanel::controls::MasterPagesSelector::ClickHandler at /usr/src/debug/libreoffice-3.6.7.2/sd/source/ui/toolpanel/controls/MasterPagesSelector.cxx:250
 #7 ValueSet::Tracking at /usr/src/debug/libreoffice-3.6.7.2/svtools/source/control/valueset.cxx:1295
 #8 Window::EndTracking at /usr/src/debug/libreoffice-3.6.7.2/vcl/source/window/window2.cxx:722
 #9 ImplHandleMouseEvent at /usr/src/debug/libreoffice-3.6.7.2/vcl/source/window/winproc.cxx:811
Comment 1 Peter Larsen 2013-08-05 13:37:54 EDT
Created attachment 782939 [details]
File: backtrace
Comment 2 Peter Larsen 2013-08-05 13:37:59 EDT
Created attachment 782940 [details]
File: cgroup
Comment 3 Peter Larsen 2013-08-05 13:38:02 EDT
Created attachment 782941 [details]
File: core_backtrace
Comment 4 Peter Larsen 2013-08-05 13:38:13 EDT
Created attachment 782942 [details]
File: dso_list
Comment 5 Peter Larsen 2013-08-05 13:38:16 EDT
Created attachment 782943 [details]
File: environ
Comment 6 Peter Larsen 2013-08-05 13:38:20 EDT
Created attachment 782944 [details]
File: limits
Comment 7 Peter Larsen 2013-08-05 13:38:23 EDT
Created attachment 782945 [details]
File: maps
Comment 8 Peter Larsen 2013-08-05 13:38:28 EDT
Created attachment 782946 [details]
File: open_fds
Comment 9 Peter Larsen 2013-08-05 13:38:32 EDT
Created attachment 782947 [details]
File: proc_pid_status
Comment 10 Peter Larsen 2013-08-05 13:38:38 EDT
Created attachment 782948 [details]
File: var_log_messages
Comment 11 David Tardon 2013-08-08 04:45:00 EDT
The crash appears to be at line

String sFullLayoutName (pMasterPage->GetLayoutName());

, which is preceded by

if (pMasterPage == NULL || !pMasterPage->IsMasterPage())
    return;

so I do not see how see where it could be going wrong. Is the crash reproducible?
Comment 12 Peter Larsen 2013-08-08 08:23:50 EDT
(In reply to David Tardon from comment #11)
> The crash appears to be at line
> 
> String sFullLayoutName (pMasterPage->GetLayoutName());
> 
> , which is preceded by
> 
> if (pMasterPage == NULL || !pMasterPage->IsMasterPage())
>     return;
> 
> so I do not see how see where it could be going wrong. Is the crash
> reproducible?

It's happened more than once, yes. In particular when I work with master-page objects. What happens is that after changing some master pages, I can't get certain basic functionality to work - such as font colors. In the pre-view pane on the right there will be no previews, just blank screens. If I try to save it either crashes during save and all my changes to the master slides are gone, or the save will "pretend" to work, but re-loading the presentation will not load my changes.

After this crash, I went back in, redid the changes to the master slides, saved and I got the desired effect. 

My guess is this is a buffer-overrun or general memory mismanagement as it seems to happen only after some work with Impress. Ie. if I just launch Impress and do the master slide changes, things seems to work. But if I do it after having worked the the deck for a while, things tend to fall apart quickly.

So I can't say I have a case that reproduces the issue on command. I'm here to help though - so let me know what I can do to provide more information.

Btw. one sure way to get things to crash is to use the template organizer and move styles between a template and a presentation. It will get it almost every time. It's not a feature I trust at all which is a shame - it makes it hard to conform your presentations to a single template.
Comment 13 David Tardon 2013-11-11 10:14:16 EST
*** Bug 1015226 has been marked as a duplicate of this bug. ***
Comment 14 Fedora End Of Life 2013-12-21 09:26:16 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2014-02-05 17:14:12 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.